Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007814OCamlruntime system and C interfacepublic2018-06-26 16:432018-07-16 10:56
Reportergasche 
Assigned Todoligez 
PrioritylowSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version4.07.0+dev/beta2/rc1/rc2 
Target Version4.08.0+devFixed in Version4.08.0+dev 
Summary0007814: non-prefixed symbol name (and non-standard prefixed names) in the debug and instrumentation runtimes
DescriptionAfter world.opt is built:

$ ./tools/check-symbol-names asmrun/*.a byterun/*.a
asmrun/libasmruni.a[misc.i.o]: CAML_INSTR_ATEXIT T
asmrun/libasmruni.a[misc.i.o]: CAML_INSTR_INIT T
asmrun/libasmruni.a[misc.i.o]: CAML_INSTR_LOG B
asmrun/libasmruni.a[misc.i.o]: CAML_INSTR_STARTTIME C
asmrun/libasmruni.a[misc.i.o]: CAML_INSTR_STOPTIME C
byterun/libcamlrund.a[instrtrace.d.o]: names_of_instructions D
byterun/libcamlruni.a[misc.i.o]: CAML_INSTR_ATEXIT T
byterun/libcamlruni.a[misc.i.o]: CAML_INSTR_INIT T
byterun/libcamlruni.a[misc.i.o]: CAML_INSTR_LOG B
byterun/libcamlruni.a[misc.i.o]: CAML_INSTR_STARTTIME C
byterun/libcamlruni.a[misc.i.o]: CAML_INSTR_STOPTIME C

We should probably prefix names_of_instructions.
We should also rename CAML_* into some caml_* -- or add CAML_* as another private namespace in tools/check-symbol-names.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0019213)
xleroy (administrator)
2018-06-26 17:25

Alternatively, "names_of_instructions" could be made "static", as it is used only in the file that defines it (byterun/instrtrace.c).
(0019241)
doligez (administrator)
2018-07-12 15:18

See https://github.com/ocaml/ocaml/pull/1900 [^]

- Issue History
Date Modified Username Field Change
2018-06-26 16:43 gasche New Issue
2018-06-26 16:43 gasche Status new => assigned
2018-06-26 16:43 gasche Assigned To => doligez
2018-06-26 17:25 xleroy Note Added: 0019213
2018-07-12 15:18 doligez Note Added: 0019241
2018-07-16 10:56 frisch Status assigned => resolved
2018-07-16 10:56 frisch Fixed in Version => 4.08.0+dev
2018-07-16 10:56 frisch Resolution open => fixed


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker